###################################################
### chunk number 1:  eval=FALSE
###################################################
## #line 106 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
## vignette("phylobase")


###################################################
### chunk number 2: load
###################################################
#line 138 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
library(adephylo)
search()


###################################################
### chunk number 3: kludge
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
cat("\n=== Old - deprecated- version ===\n")
orthogram <- ade4::orthogram
args(orthogram)
cat("\n=== New version === \n")
orthogram <- adephylo::orthogram
args(orthogram)


###################################################
### chunk number 4:  eval=FALSE
###################################################
## #line 166 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
## ?adephylo


###################################################
### chunk number 5:  eval=FALSE
###################################################
## #line 172 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
## help("adephylo", package="adephylo", html=TRUE)


###################################################
### chunk number 6:  eval=FALSE
###################################################
## #line 177 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
## options(htmlhelp = FALSE)


###################################################
### chunk number 7: readTree
###################################################
#line 202 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
data(ungulates)
ungulates$tre
myTree <- read.tree(text=ungulates$tre)
myTree
plot(myTree, main="ape's plotting of a tree")


###################################################
### chunk number 8: 
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
temp <- as(myTree, "phylo4")
class(temp)
temp <- as(temp, "phylo")
class(temp)
all.equal(temp, myTree)


###################################################
### chunk number 9: phylo4d
###################################################
#line 250 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
ung <- phylo4d(myTree, ungulates$tab)
class(ung)
table.phylo4d(ung)


###################################################
### chunk number 10: 
###################################################
#line 269 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
x <- tdata(ung, type="tip")
head(x)


###################################################
### chunk number 11: moranI
###################################################
#line 309 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
W <- proxTips(myTree, met="Abouheif")
moran.idx(tdata(ung, type="tip")$afbw, W)
moran.idx(tdata(ung, type="tip")[,1], W, addInfo=TRUE)


###################################################
### chunk number 12: 
###################################################
#line 318 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
afbw <- tdata(ung, type="tip")$afbw
sim <- replicate(499, moran.idx(sample(afbw), W)) # permutations
sim <- c(moran.idx(afbw, W), sim)

cat("\n=== p-value (right-tail) === \n")
pval <- mean(sim>=sim[1])
pval

plot(density(sim), main="Moran's I Monte Carlo test for 'bif'") # plot
mtext("Density of permutations, and observation (in red)")
abline(v=sim[1], col="red", lwd=3)



###################################################
### chunk number 13: abouheif
###################################################
#line 356 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
ung.abTests <- abouheif.moran(ung)
ung.abTests
plot(ung.abTests)


###################################################
### chunk number 14: 
###################################################
#line 374 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
hasEdgeLength(ung)
myTree.withBrLe <- compute.brlen(myTree)


###################################################
### chunk number 15: 
###################################################
#line 382 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
myProx <- vcv.phylo(myTree.withBrLe)
abouheif.moran(ung, W=myProx)


###################################################
### chunk number 16: 
###################################################
#line 411 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
x <- as(rtree(5),"phylo4")
plot(x,show.n=TRUE)


###################################################
### chunk number 17: 
###################################################
#line 416 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
x.part <- treePart(x)
x.part


###################################################
### chunk number 18: 
###################################################
#line 421 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
temp <- phylo4d(x, x.part)
table.phylo4d(temp, cent=FALSE, scale=FALSE)


###################################################
### chunk number 19: 
###################################################
#line 433 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
args(treePart)
temp <- phylo4d(x, treePart(x, result="orthobasis") )


###################################################
### chunk number 20: orthobas1
###################################################
#line 440 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
temp <- phylo4d(myTree, treePart(myTree, result="orthobasis") )
par(mar=rep(.1,4))
table.phylo4d(temp, repVar=1:8, ratio.tree=.3)


###################################################
### chunk number 21: orthogram
###################################################
#line 451 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
afbw.ortgTest <- orthogram(afbw, myTree)
afbw.ortgTest


###################################################
### chunk number 22: 
###################################################
#line 481 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
me.phylo(myTree.withBrLe)


###################################################
### chunk number 23: figFourBas
###################################################
#line 490 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
ung.listBas <- list()
ung.listBas[[1]] <- phylo4d(myTree, as.data.frame(me.phylo(myTree.withBrLe, method="patristic")))
ung.listBas[[2]] <- phylo4d(myTree, as.data.frame(me.phylo(myTree, method="nNodes")))
ung.listBas[[3]]<- phylo4d(myTree, as.data.frame(me.phylo(myTree, method="Abouheif")))
ung.listBas[[4]] <- phylo4d(myTree, as.data.frame(me.phylo(myTree, method="sumDD")))
par(mar=rep(.1,4), mfrow=c(2,2))
invisible(lapply(ung.listBas, table.phylo4d, repVar=1:5, cex.sym=.7, show.tip.label=FALSE, show.node=FALSE))


###################################################
### chunk number 24: lm1
###################################################
#line 508 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
afbw <- log(ungulates$tab[,1])
neonatw <- log((ungulates$tab[,2]+ungulates$tab[,3])/2)
names(afbw) <- myTree$tip.label
names(neonatw) <- myTree$tip.label
plot(afbw, neonatw, main="Relationship between afbw and neonatw")
lm1 <- lm(neonatw~afbw)
abline(lm1, col="blue")
anova(lm1)


###################################################
### chunk number 25: resid
###################################################
#line 520 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
resid <- residuals(lm1)
names(resid) <- myTree$tip.label
temp <- phylo4d(myTree,data.frame(resid))
abouheif.moran(temp)
table.phylo4d(temp)


###################################################
### chunk number 26: 
###################################################
#line 535 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
myBasis <- me.phylo(myTree, method="Abouheif")
lm2 <- lm(neonatw~myBasis[,1] + afbw)
resid <- residuals(lm2)
names(resid) <- myTree$tip.label
temp <- phylo4d(myTree,data.frame(resid))
abouheif.moran(temp)
anova(lm2)


###################################################
### chunk number 27: 
###################################################
#line 568 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
W <- proxTips(myTree, method="Abouheif", sym=FALSE)
lagNeonatw <- W %*% neonatw
lm3 <- lm(neonatw ~ lagNeonatw + afbw)
resid <- residuals(lm3)
abouheif.moran(resid,W)


###################################################
### chunk number 28: pca1
###################################################
#line 599 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
f1 <- function(x){
    m <- mean(x,na.rm=TRUE)
    x[is.na(x)] <- m
    return(x)
}

data(maples)
traits <- apply(maples$tab, 2, f1)
pca1 <- dudi.pca(traits, scannf=FALSE, nf=1)
barplot(pca1$eig, main="PCA eigenvalues", col=heat.colors(16))


###################################################
### chunk number 29: pca2
###################################################
#line 617 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
tre <- read.tree(text=maples$tre)
W <- proxTips(tre)
myComp <- data.frame(PC1=pca1$li[,1], lagPC1=W %*% pca1$li[,1])
myComp.4d <- phylo4d(tre, myComp)
nodeLabels(myComp.4d) <- names(nodeLabels(myComp.4d))
table.phylo4d(myComp.4d)


###################################################
### chunk number 30: aboutest
###################################################
#line 630 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
myTest <- abouheif.moran(myComp[,1], W=W)
plot(myTest, main="Abouheif's test using patristic proximity")
mtext("First principal component - maples data", col="blue", line=1)


###################################################
### chunk number 31: loadings
###################################################
#line 639 "d:/Rcompile/CRANpkg/local/2.12/adephylo/inst/doc/adephylo.Rnw"
ldgs <- pca1$c1[,1]
plot(ldgs, type="h", xlab="Variable", xaxt="n", ylab="Loadings")
s.label(cbind(1:31, ldgs), lab=colnames(traits), add.p=TRUE, clab=.8)
temp <- abs(ldgs)
thres <- quantile(temp, .75)
abline(h=thres * c(-1,1), lty=2, col="blue3", lwd=3)
title("Loadings for PC1")
mtext("Quarter of most contributing variables indicated in blue", col="blue")


